OpenSSLを更新

WordPressを管理画面からアップデートしようと思ったら、以下の様なエラーにより失敗した。

1
wordpress  更新 ダウンロードに失敗しました。: cURL error 77:

調べてみると、セキュリティ通信で失敗しており OpenSSL の更新が必要なよう。

そこで以下の手順で更新を実行した。

1
2
3
4
5
6
7
8
9
10
11
# OpenSSLのバージョンを確認
$ rpm -qa | grep openssl

# キャッシュを削除
$ yum clean all

# OpenSSLを更新
$ sudo yum update openssl openssl-devel

# Webサーバーを再起動(ここではNginx)
$ sudo systemctl restart nginx.service

完了後、無事WordPressの更新を確認した。